summaryrefslogtreecommitdiffstats
path: root/bin/misc-functions.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-07-13 18:04:36 +0000
committerZac Medico <zmedico@gentoo.org>2006-07-13 18:04:36 +0000
commit8d647301f61dd394e7e1e6ceb530938778d85eac (patch)
treea171a2251b413a2ff354590b1e2991966f12fa66 /bin/misc-functions.sh
parent3205347f811c6fac9e84b66868c317b2ea376d8f (diff)
downloadportage-8d647301f61dd394e7e1e6ceb530938778d85eac.tar.gz
portage-8d647301f61dd394e7e1e6ceb530938778d85eac.tar.bz2
portage-8d647301f61dd394e7e1e6ceb530938778d85eac.zip
Die at the beginning of install_qa_check if ${D} doesn't exist. See bug #140159.
svn path=/main/trunk/; revision=3852
Diffstat (limited to 'bin/misc-functions.sh')
-rwxr-xr-xbin/misc-functions.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 1212b4db3..6e0fbac09 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -18,9 +18,8 @@ shift $#
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}/ebuild.sh"
install_qa_check() {
-
+ cd "${D}" || die "cd failed"
prepall
- cd "${D}"
declare -i UNSAFE=0
for i in $(find "${D}/" -type f -perm -2002); do